Мазмұнға өту

Emu 3.5 Image · Text to Image

Интеграциялау

Модель идентификаторы emu-3.5-image/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: 0,30 $ 300 API кредиті · ≈ 32,27 ₽ Осы бетте іске қосу

API кілтін алу
BAAI Мәтіннен кескінге 720p дейін

Тек мәтіннен 480p немесе 720p ажыратымдылығында, тоғыз кадр пішімінің бірін таңдап кескіндер жасайды

BAAI · Кескін

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті

Кескін генерациялау үшін пайдаланылатын нұсқау.

resolution әдепкі 720p

Нәтиже кескінінің ажыратымдылығы.

aspect_ratio әдепкі 1:1

Нәтиже кескінінің арақатынасы.

Қосымша output_format · seed · enable_safety_checker
output_format әдепкі png

Нәтиже кескінінің файл пішімі.

Инференс кезінде қолданылатын seed.

POST /run/emu-3.5-image/text-to-image?wait=20 бағасы → 0,30 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Emu 3.5 Image · Text to Image туралы

Кіріс кескінінсіз `prompt` арқылы кескін жасайды. `resolution` — 480p немесе 720p, ал `aspect_ratio` 21:9–9:21 аралығында, әдепкісі 1:1. Шығыс пішімі png, jpeg немесе webp болуы мүмкін, ал `seed` қайталамалы нәтижелерге мүмкіндік береді.

Параметрлер

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
promptміндетті
Түріstring
Кескін генерациялау үшін пайдаланылатын нұсқау.
resolutionміндетті емес
Түріenum
Әдепкі720p
480p720p
Нәтиже кескінінің ажыратымдылығы.
aspect_ratioміндетті емес
Түріenum
Әдепкі1:1
21:916:94:33:21:12:33:49:169:21
Нәтиже кескінінің арақатынасы.
enable_safety_checkerміндетті емес
Түріboolean
Әдепкіtrue
Қауіпсіздікті тексерудің қосылған-қосылмағанын басқарады.
seedміндетті емес
Түріinteger | null
Инференс кезінде қолданылатын seed.
output_formatміндетті емес
Түріenum
Әдепкіpng
jpegpngwebp
Нәтиже кескінінің файл пішімі.
міндетті

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "emu-3.5-image/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
images
array of object {url, content_type, file_name, file_size, width, height}Өңдеу нәтижесінде алынған кескін.
seed
integerИнференс кезінде қолданылатын seed.

Қосымша модельдер: Мәтіннен кескінге

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/emu-3.5-image/text-to-image.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt